//
//  pqGeometry.h
//  plasq
//
//  Created by Robert Grant on Tue Feb 17 2004.
//  Copyright (c) 2006 plasq. All rights reserved.
//

#import <Cocoa/Cocoa.h>

float  pqCalcAspectRatio(NSRect rect);

NSRect pqCenterInRect(NSRect aRect, NSRect bRect);
NSPoint pqCenterOfRect(NSRect rect);

NSRect pqMakeCenteredRectInRectWithAspectRatio(NSRect aRect, float aspectRatio);

NSRect pqMakeRectFromCenterAndSize(NSPoint center, NSSize size);
NSRect pqScaleRect(NSRect rect, float byX, float byY);


